> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agents

> Get all agents from a group



## OpenAPI

````yaml get /v1/agents
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/agents:
    get:
      tags:
        - V1 - Agents (Co-workers)
      summary: Get Agents
      operationId: get_agents
      parameters:
        - name: query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Query
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: order_by
          in: query
          required: false
          schema:
            type: string
            default: last_updated_at
            title: Order By
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: desc
            title: Sort
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Page size
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_Assistant_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Page_Assistant_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Assistant'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
        pages:
          type: integer
          minimum: 0
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[Assistant]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Assistant:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        group_id:
          type: string
          format: uuid
          title: Group Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        definition:
          additionalProperties: true
          type: object
          title: Definition
        visible:
          type: boolean
          title: Visible
          default: true
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
        last_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated At
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
        app_settings_v2:
          anyOf:
            - $ref: '#/components/schemas/AppSettingsV2'
            - type: 'null'
        is_app_published:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is App Published
        allow_public_access:
          type: boolean
          title: Allow Public Access
          default: false
        meta:
          anyOf:
            - $ref: '#/components/schemas/AssistantMeta'
            - type: 'null'
      type: object
      required:
        - id
        - group_id
        - name
        - definition
      title: Assistant
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AppSettingsV2:
      properties:
        is_active:
          type: boolean
          title: Is Active
          default: false
        version_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Version Id
        interface_type:
          anyOf:
            - $ref: '#/components/schemas/AppInterfaceType'
            - type: 'null'
        extra_settings:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra Settings
        published_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Published At
      type: object
      title: AppSettingsV2
    AssistantMeta:
      properties:
        template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Id
      type: object
      title: AssistantMeta
    AppInterfaceType:
      type: string
      enum:
        - slack
        - teams
        - chat
        - form
        - whatsapp
        - embed_widget
      title: AppInterfaceType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````